# Interface TaskFilePropertyBuilder

All Superinterfaces:
  `TaskPropertyBuilder`

All Known Subinterfaces:
  `TaskInputFilePropertyBuilder, TaskOutputFilePropertyBuilder`

@Incubating public interface TaskFilePropertyBuilder extends TaskPropertyBuilder
Describes a property of a task that contains zero or more files.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`TaskFilePropertyBuilder`
`withPropertyName(String propertyName)`
Sets the name for this property.

## Method Details

### withPropertyName

TaskFilePropertyBuilder withPropertyName(String propertyName)
Sets the name for this property. The name must be a valid Java identifier, or a series of valid Java identifiers separated with dots ('.').

If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.